package com.perforce.p4java.exceptions;

/**
 * This class represents an exception that may arise
 * during the process of obtaining a connection the 
 * Helix server.
 * 
 * This is a Runtime Exception
 * @author tpethiyagoda
 *
 */
public class P4ConnectionException extends RuntimeException
{
	
	/**
	 * The serial version UID of this clasds
	 */
	private static final long serialVersionUID = 708415829094554287L;

	/**
	 * Constructs a P4ConnectionException with the give args.
	 */
	public P4ConnectionException(String msg, Throwable t)
	{
		super (msg, t);
	}
	
}
